{% extends 'layout_outside.html' %}
{% load bootstrap %}
{% load i18n %}

{% block js_footer %}
	{{ block.super }}
	<script src="{{STATIC_URL}}/js/outside/register.js"></script>
{% endblock %}

{% block content %}
<div class="row">
		<div class="col-md-6">
			<form method="post">
				{% csrf_token %}
				
				<div class="page-section page-section-boxed">
					<div class="page-section-header">
						<h3>
							{% trans "Register new account" %}
						</h3>
					</div>
					<div class="page-section-content">
{#						{% if form.errors %}#}
{#						<div class="alert alert-danger">#}
{#							<span class="icon-exclamation-sign"></span>#}
{#							{% trans "Could not register your account. Please check the problems below:" %}#}
{#						</div>#}
{#						{% endif %}#}
{#						{{ form.non_field_errors }}#}
{#						<label for="id_name">#}
{#							<span class="icon-asterisk"></span>#}
{#							{{ form.name.label }}#}
{#						</label>#}
{#						{{ form.name.errors }}#}
{#						{{ form.name }}												#}
{#						<label for="id_email">#}
{#							<span class="icon-asterisk"></span>#}
{#							{{ form.email.label }}#}
{#						</label>#}
{#						{{ form.email.errors }}#}
{#						{{ form.email }}#}
{#						<label for="id_password">#}
{#							<span class="icon-asterisk"></span>#}
{#							{{ form.password.label }}#}
{#						</label>#}
{#						{{ form.password.errors }}#}
{#						{{ form.password }}#}
{#						<label for="id_password_repeat">#}
{#							<span class="icon-asterisk"></span>#}
{#							{{ form.password_repeat.label }}#}
{#						</label>#}
{#						{{ form.password_repeat.errors }}#}
{#						{{ form.password_repeat }}#}
{#												#}
{#						<hr />#}
                        {{ form|bootstrap }}
						
						<div class="panxel">
							{{ form.register_organization }}						
						</div>
						
						
						<div id="organizationDetails">
							<label for="id_organization_name">{{ form.organization_name.label }}</label>
							{{ form.organization_name.errors }}
							{{ form.organization_name }}
							<label for="id_organization_type">{{ form.organization_type.label }}</label>
							{{ form.organization_type.errors }}
							{{ form.organization_type }}																		
						</div>						
					</div>
					<div class="box-footer">
						<button type="submit" class="btn btn-primary">Register</button>
						<a href="/login" class="btn">Cancel</a>
					</div>
				</div>
			</form>
		</div>
		
		<div class="col-md-4">
			<h3>Instructions</h3>
			To register a new user, you must have ...
			<ul>
				<li>this</li>
				<li>this</li>
				<li>this</li>
				<li>this</li>
			</ul>
		</div>

</div>
{% endblock %}